(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('@sbb-esta/angular-core/error', ['exports', '@angular/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.sbbEsta = global.sbbEsta || {}, global.sbbEsta.angularCore = global.sbbEsta.angularCore || {}, global.sbbEsta.angularCore.error = {}), global.ng.core));
}(this, (function (exports, i0) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () {
                            return e[k];
                        }
                    });
                }
            });
        }
        n['default'] = e;
        return Object.freeze(n);
    }

    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);

    /** Provider that defines how form controls behave with regards to displaying error messages. */
    var SbbErrorStateMatcher = /** @class */ (function () {
        function SbbErrorStateMatcher() {
        }
        SbbErrorStateMatcher.prototype.isErrorState = function (control, form) {
            return !!(control && control.invalid && (control.touched || (form && form.submitted)));
        };
        return SbbErrorStateMatcher;
    }());
    SbbErrorStateMatcher.ɵprov = i0__namespace.ɵɵdefineInjectable({ factory: function SbbErrorStateMatcher_Factory() { return new SbbErrorStateMatcher(); }, token: SbbErrorStateMatcher, providedIn: "root" });
    SbbErrorStateMatcher.decorators = [
        { type: i0.Injectable, args: [{ providedIn: 'root' },] }
    ];
    /** Error state matcher that matches when a control is invalid and dirty. */
    var SbbShowOnDirtyErrorStateMatcher = /** @class */ (function () {
        function SbbShowOnDirtyErrorStateMatcher() {
        }
        SbbShowOnDirtyErrorStateMatcher.prototype.isErrorState = function (control, form) {
            return !!(control && control.invalid && (control.dirty || (form && form.submitted)));
        };
        return SbbShowOnDirtyErrorStateMatcher;
    }());
    SbbShowOnDirtyErrorStateMatcher.decorators = [
        { type: i0.Injectable }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.SbbErrorStateMatcher = SbbErrorStateMatcher;
    exports.SbbShowOnDirtyErrorStateMatcher = SbbShowOnDirtyErrorStateMatcher;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-core-error.umd.js.map
