import { AbstractControl, FormGroupDirective, NgForm } from '@angular/forms';
/** Provider that defines how form controls behave with regards to displaying error messages. */
export declare class SbbErrorStateMatcher {
    isErrorState(control: AbstractControl | null, form: FormGroupDirective | NgForm | null): boolean;
}
/** Error state matcher that matches when a control is invalid and dirty. */
export declare class SbbShowOnDirtyErrorStateMatcher implements SbbErrorStateMatcher {
    isErrorState(control: AbstractControl | null, form: FormGroupDirective | NgForm | null): boolean;
}
