/**
 * Retrieve the resource access information from the access token from SBB SSO.
 * This can either be used by directly providing the access token as a string
 * or by providing the OAuthService from angular-oauth2-oidc.
 */
export declare function resourceAccess(accessToken: string | {
    getAccessToken(): string;
}): null | {
    [resource: string]: {
        roles: string[];
    };
};
