/// <amd-module name="@sbb-esta/angular-core/schematics/ng-update/migrations/usermenu-migration" />
import { Migration, ResolvedResource } from '@angular/cdk/schematics';
/**
 * Migration for the sbb-usermenu:
 * - Replaces sbbIcon with *sbbIcon
 * - Removes <sbb-dropdown> tag
 * - Replaces sbbDropdownItem with sbb-usermenu-item directive
 */
export declare class UsermenuMigration extends Migration<null> {
    enabled: boolean;
    migrateSbbIcon: boolean;
    migrateDropdown: boolean;
    migrateDropdownItems: boolean;
    /** Method that will be called for each Angular template in the program. */
    visitTemplate(template: ResolvedResource): void;
    postAnalysis(): void;
    private _isUsermenu;
    private _isSbbDropdown;
    private _hasSbbIconDirective;
    private _hasSbbDropdownItemDirective;
    private _isInSbbDropdown;
    private _isInUsermenu;
}
