/// <amd-module name="@sbb-esta/angular-core/schematics/utils" />
import { SchematicContext, Tree } from '@angular-devkit/schematics';
/** Gets the version of the specified package by looking at the package.json in the given tree. */
export declare function getPackageVersionFromPackageJson(tree: Tree, name: string): string | null;
/** Assert that file exists and parse json file to object */
export declare function readJsonFile(tree: Tree, path: string): any;
/** Assert that file exists and parse string file */
export declare function readStringFile(tree: Tree, path: string): string;
/** Adds a default dependency to package.json */
export declare function addDefaultDependency(name: string, version: string, host: Tree, context?: SchematicContext): Tree;
/** Whether the Angular module in the given path has the specified provider. */
export declare function hasNgModuleProvider(tree: Tree, modulePath: string, providerName: string): boolean;
