import { BooleanInput } from '@angular/cdk/coercion';
import { ChangeDetectorRef } from '@angular/core';
export declare class SbbProcessflowStepDescriptor {
    /** Title of a step in a process flow. */
    title: string;
    /** Refers to the active status of a step in a process flow. */
    active: boolean;
    /** Refers to the disable status of a step in a process flow.  */
    disabled: boolean;
}
export declare abstract class SbbProcessflowStepBase {
    private _changeDetectorRef;
    /** Refers to the processFlowStep istance. */
    descriptor: SbbProcessflowStepDescriptor;
    /** Title of a step in a process flow. */
    set title(value: string);
    get title(): string;
    /** Refers to the active status of a step in a process flow.  */
    set active(value: boolean);
    get active(): boolean;
    /** Refers to the disable status of a step in a process flow.  */
    set disabled(value: boolean);
    get disabled(): boolean;
    constructor(_changeDetectorRef: ChangeDetectorRef);
    static ngAcceptInputType_active: BooleanInput;
    static ngAcceptInputType_disabled: BooleanInput;
}
